function [x,x_1]=logsinesweep2(fs,T)
T=T/2;%T=46486/68200;fs=68200;
t=1/fs:1/fs:T;
f1=30;f2=10000;
K=2*pi*T*f1/log(f2/f1);L=T/log(f2/f1);
argumento=K*(exp(t/L)-1);
frecuencia=diff(argumento)*fs;
x=sin(argumento);%plot(t,x);title('waveform'),
ventana=sin(2*pi*t(1:1/(f1/4/fs))*f1/4/4);
ventana=[ventana ones(1,length(x)-length(ventana)*2) ventana(end:-1:1)];
%soundsc(x,fs)
%figure;spectrogram(x,256,[],(0:1000),fs);title('specgram')
x_1=x(end:-1:1).*([frecuencia(end:-1:1) f1 ]/(2*pi*f1));
x=x.*ventana;
x_1=x_1.*ventana;
%y=conv(x,x_1);
%figure;y=conv(x,x_1);plot([t t(end)+t(1:end-1)],y);title('convolution with inverted signal')